ingestPlayerActivityEvents
POST
/api/v1/player/activity-events
const url = 'https://example.com/api/v1/player/activity-events';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"events":[{"id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","sequence":1,"eventType":"example","category":"example","severity":"example","occurredAt":"2026-04-15T12:00:00Z","elapsedRealtimeMs":1,"playerTimezone":"example","manifestVersion":1,"presentationType":"example","presentationId":"example","presentationRevision":"example","contentType":"example","contentId":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/player/activity-events \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "events": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "sequence": 1, "eventType": "example", "category": "example", "severity": "example", "occurredAt": "2026-04-15T12:00:00Z", "elapsedRealtimeMs": 1, "playerTimezone": "example", "manifestVersion": 1, "presentationType": "example", "presentationId": "example", "presentationRevision": "example", "contentType": "example", "contentId": "example" } ] }'Ingest a batch of 1 to 200 player activity events; the event shape follows docs/activity-event-contract.md. Requires an authenticated player credential.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
events
required
Array<object>
object
id
required
string format: uuid
sequence
required
integer
eventType
required
string
category
string
severity
string
occurredAt
required
string format: date-time
elapsedRealtimeMs
integer
playerTimezone
string
manifestVersion
integer
presentationType
string
presentationId
string
presentationRevision
string
contentType
string
contentId
string
Examplegenerated
{ "events": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "sequence": 1, "eventType": "example", "category": "example", "severity": "example", "occurredAt": "2026-04-15T12:00:00Z", "elapsedRealtimeMs": 1, "playerTimezone": "example", "manifestVersion": 1, "presentationType": "example", "presentationId": "example", "presentationRevision": "example", "contentType": "example", "contentId": "example" } ]}Responses
Section titled “ Responses ”Activity events accepted
Media typeapplication/json
object
data
required
object
accepted
required
integer
duplicates
required
integer
highestSequence
required
integer format: int64
acknowledgedEventIds
required
Array<string>
Examplegenerated
{ "data": { "accepted": 1, "duplicates": 1, "highestSequence": 1, "acknowledgedEventIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }}Activity batch invalid
Credential invalid or revoked
Activity batch or event invalid